diff --git a/libpurple/media.c b/libpurple/media.c
--- a/libpurple/media.c
+++ b/libpurple/media.c
@@ -211,7 +211,7 @@ purple_media_class_init (PurpleMediaClas
 	purple_media_signals[NEW_CANDIDATE] = g_signal_new("new-candidate", G_TYPE_FROM_CLASS(klass),
 					 G_SIGNAL_RUN_LAST, 0, NULL, NULL, NULL,
 					 G_TYPE_NONE, 3, G_TYPE_POINTER,
-					 G_TYPE_POINTER, PURPLE_TYPE_MEDIA_CANDIDATE);
+					 G_TYPE_POINTER, PURPLE_MEDIA_TYPE_CANDIDATE);
 	purple_media_signals[STATE_CHANGED] = g_signal_new("state-changed", G_TYPE_FROM_CLASS(klass),
 					 G_SIGNAL_RUN_LAST, 0, NULL, NULL, NULL,
 					 G_TYPE_NONE, 3, PURPLE_MEDIA_TYPE_STATE,
@@ -223,7 +223,7 @@ purple_media_class_init (PurpleMediaClas
 	purple_media_signals[CANDIDATE_PAIR_ESTABLISHED] = g_signal_new("candidate-pair-established", G_TYPE_FROM_CLASS(klass),
 					 G_SIGNAL_RUN_LAST, 0, NULL, NULL, NULL,
 					 G_TYPE_NONE, 4, G_TYPE_POINTER, G_TYPE_POINTER,
-					 PURPLE_TYPE_MEDIA_CANDIDATE, PURPLE_TYPE_MEDIA_CANDIDATE);
+					 PURPLE_MEDIA_TYPE_CANDIDATE, PURPLE_MEDIA_TYPE_CANDIDATE);
 }
 
 
@@ -520,13 +520,11 @@ GstElement *
 purple_media_get_src(PurpleMedia *media, const gchar *sess_id)
 {
 	g_return_val_if_fail(PURPLE_IS_MEDIA(media), NULL);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_BACKEND_FS2(media->priv->backend),
+	                     NULL);
 
-	if (PURPLE_IS_MEDIA_BACKEND_FS2(media->priv->backend))
-		return purple_media_backend_fs2_get_src(
-				PURPLE_MEDIA_BACKEND_FS2(
-				media->priv->backend), sess_id);
-
-	g_return_val_if_reached(NULL);
+	return purple_media_backend_fs2_get_src(
+	        PURPLE_MEDIA_BACKEND_FS2(media->priv->backend), sess_id);
 }
 #endif /* USE_VV */
 
@@ -1345,7 +1343,7 @@ void purple_media_set_input_volume(Purpl
 {
 #ifdef USE_VV
 	g_return_if_fail(PURPLE_IS_MEDIA(media));
-	g_return_if_fail(PURPLE_IS_MEDIA_BACKEND_FS2(media->priv->backend));
+	g_return_if_fail(PURPLE_MEDIA_IS_BACKEND_FS2(media->priv->backend));
 
 	purple_media_backend_fs2_set_input_volume(
 			PURPLE_MEDIA_BACKEND_FS2(
@@ -1360,7 +1358,7 @@ void purple_media_set_output_volume(Purp
 {
 #ifdef USE_VV
 	g_return_if_fail(PURPLE_IS_MEDIA(media));
-	g_return_if_fail(PURPLE_IS_MEDIA_BACKEND_FS2(media->priv->backend));
+	g_return_if_fail(PURPLE_MEDIA_IS_BACKEND_FS2(media->priv->backend));
 
 	purple_media_backend_fs2_set_output_volume(
 			PURPLE_MEDIA_BACKEND_FS2(
@@ -1411,13 +1409,12 @@ purple_media_get_tee(PurpleMedia *media,
 		const gchar *session_id, const gchar *participant)
 {
 	g_return_val_if_fail(PURPLE_IS_MEDIA(media), NULL);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_BACKEND_FS2(media->priv->backend),
+	                     NULL);
 
-	if (PURPLE_IS_MEDIA_BACKEND_FS2(media->priv->backend))
-		return purple_media_backend_fs2_get_tee(
-				PURPLE_MEDIA_BACKEND_FS2(
-				media->priv->backend),
-				session_id, participant);
-	g_return_val_if_reached(NULL);
+	return purple_media_backend_fs2_get_tee(
+	        PURPLE_MEDIA_BACKEND_FS2(media->priv->backend),
+	        session_id, participant);
 }
 #endif /* USE_VV */
 
diff --git a/libpurple/media/backend-fs2.h b/libpurple/media/backend-fs2.h
--- a/libpurple/media/backend-fs2.h
+++ b/libpurple/media/backend-fs2.h
@@ -39,7 +39,7 @@
 
 G_BEGIN_DECLS
 
-#define PURPLE_TYPE_MEDIA_BACKEND_FS2  purple_media_backend_fs2_get_type()
+#define PURPLE_MEDIA_TYPE_BACKEND_FS2  purple_media_backend_fs2_get_type()
 
 /**
  * purple_media_backend_fs2_get_type:
@@ -49,7 +49,7 @@ G_BEGIN_DECLS
  * Returns: The Farstream media backend's GType
  */
 G_DECLARE_FINAL_TYPE(PurpleMediaBackendFs2, purple_media_backend_fs2,
-		PURPLE, MEDIA_BACKEND_FS2, GObject)
+                     PURPLE_MEDIA, BACKEND_FS2, GObject)
 
 /*
  * Temporary function in order to be able to test while
diff --git a/libpurple/media/backend-fs2.c b/libpurple/media/backend-fs2.c
--- a/libpurple/media/backend-fs2.c
+++ b/libpurple/media/backend-fs2.c
@@ -173,7 +173,7 @@ enum {
 G_DEFINE_TYPE_WITH_CODE(PurpleMediaBackendFs2, purple_media_backend_fs2,
 		G_TYPE_OBJECT,
 		G_ADD_PRIVATE(PurpleMediaBackendFs2)
-		G_IMPLEMENT_INTERFACE(PURPLE_TYPE_MEDIA_BACKEND,
+		G_IMPLEMENT_INTERFACE(PURPLE_MEDIA_TYPE_BACKEND,
 				purple_media_backend_iface_init));
 
 static void
@@ -416,7 +416,7 @@ purple_media_backend_fs2_set_property(GO
 		const GValue *value, GParamSpec *pspec)
 {
 	PurpleMediaBackendFs2Private *priv;
-	g_return_if_fail(PURPLE_IS_MEDIA_BACKEND_FS2(object));
+	g_return_if_fail(PURPLE_MEDIA_IS_BACKEND_FS2(object));
 
 	priv = purple_media_backend_fs2_get_instance_private(
 			PURPLE_MEDIA_BACKEND_FS2(object));
@@ -454,7 +454,7 @@ purple_media_backend_fs2_get_property(GO
 		GValue *value, GParamSpec *pspec)
 {
 	PurpleMediaBackendFs2Private *priv;
-	g_return_if_fail(PURPLE_IS_MEDIA_BACKEND_FS2(object));
+	g_return_if_fail(PURPLE_MEDIA_IS_BACKEND_FS2(object));
 
 	priv = purple_media_backend_fs2_get_instance_private(
 			PURPLE_MEDIA_BACKEND_FS2(object));
@@ -724,7 +724,7 @@ get_session(PurpleMediaBackendFs2 *self,
 	PurpleMediaBackendFs2Private *priv;
 	PurpleMediaBackendFs2Session *session = NULL;
 
-	g_return_val_if_fail(PURPLE_IS_MEDIA_BACKEND_FS2(self), NULL);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_BACKEND_FS2(self), NULL);
 
 	priv = purple_media_backend_fs2_get_instance_private(self);
 
@@ -740,7 +740,7 @@ get_participant(PurpleMediaBackendFs2 *s
 	PurpleMediaBackendFs2Private *priv;
 	FsParticipant *participant = NULL;
 
-	g_return_val_if_fail(PURPLE_IS_MEDIA_BACKEND_FS2(self), NULL);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_BACKEND_FS2(self), NULL);
 
 	priv = purple_media_backend_fs2_get_instance_private(self);
 
@@ -757,7 +757,7 @@ get_stream(PurpleMediaBackendFs2 *self,
 	PurpleMediaBackendFs2Private *priv;
 	GList *streams;
 
-	g_return_val_if_fail(PURPLE_IS_MEDIA_BACKEND_FS2(self), NULL);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_BACKEND_FS2(self), NULL);
 
 	priv = purple_media_backend_fs2_get_instance_private(self);
 	streams = priv->streams;
@@ -779,7 +779,7 @@ get_streams(PurpleMediaBackendFs2 *self,
 	PurpleMediaBackendFs2Private *priv;
 	GList *streams, *ret = NULL;
 
-	g_return_val_if_fail(PURPLE_IS_MEDIA_BACKEND_FS2(self), NULL);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_BACKEND_FS2(self), NULL);
 
 	priv = purple_media_backend_fs2_get_instance_private(self);
 	streams = priv->streams;
@@ -807,7 +807,7 @@ get_session_from_fs_stream(PurpleMediaBa
 	FsSession *fssession;
 	GList *values;
 
-	g_return_val_if_fail(PURPLE_IS_MEDIA_BACKEND_FS2(self), NULL);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_BACKEND_FS2(self), NULL);
 	g_return_val_if_fail(FS_IS_STREAM(stream), NULL);
 
 	g_object_get(stream, "session", &fssession, NULL);
@@ -919,7 +919,7 @@ gst_handle_message_element(GstBus *bus, 
 		return;
 	}
 
-	if (!FS_IS_CONFERENCE(src) || !PURPLE_IS_MEDIA_BACKEND(self) ||
+	if (!FS_IS_CONFERENCE(src) || !PURPLE_MEDIA_IS_BACKEND(self) ||
 			priv->conference != FS_CONFERENCE(src))
 		return;
 
@@ -2094,7 +2094,7 @@ purple_media_backend_fs2_add_remote_cand
 	PurpleMediaBackendFs2Stream *stream;
 	GError *err = NULL;
 
-	g_return_if_fail(PURPLE_IS_MEDIA_BACKEND_FS2(self));
+	g_return_if_fail(PURPLE_MEDIA_IS_BACKEND_FS2(self));
 
 	priv = purple_media_backend_fs2_get_instance_private(
 			PURPLE_MEDIA_BACKEND_FS2(self));
@@ -2139,7 +2139,7 @@ purple_media_backend_fs2_codecs_ready(Pu
 	PurpleMediaBackendFs2Private *priv;
 	gboolean ret = FALSE;
 
-	g_return_val_if_fail(PURPLE_IS_MEDIA_BACKEND_FS2(self), FALSE);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_BACKEND_FS2(self), FALSE);
 
 	priv = purple_media_backend_fs2_get_instance_private(
 			PURPLE_MEDIA_BACKEND_FS2(self));
@@ -2209,7 +2209,7 @@ purple_media_backend_fs2_get_codecs(Purp
 	GList *fscodecs;
 	GList *codecs;
 
-	g_return_val_if_fail(PURPLE_IS_MEDIA_BACKEND_FS2(self), NULL);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_BACKEND_FS2(self), NULL);
 
 	session = get_session(PURPLE_MEDIA_BACKEND_FS2(self), sess_id);
 
@@ -2231,7 +2231,7 @@ purple_media_backend_fs2_get_local_candi
 	PurpleMediaBackendFs2Stream *stream;
 	GList *candidates = NULL;
 
-	g_return_val_if_fail(PURPLE_IS_MEDIA_BACKEND_FS2(self), NULL);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_BACKEND_FS2(self), NULL);
 
 	stream = get_stream(PURPLE_MEDIA_BACKEND_FS2(self),
 			sess_id, participant);
@@ -2252,7 +2252,7 @@ purple_media_backend_fs2_set_remote_code
 	GList *fscodecs;
 	GError *err = NULL;
 
-	g_return_val_if_fail(PURPLE_IS_MEDIA_BACKEND_FS2(self), FALSE);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_BACKEND_FS2(self), FALSE);
 	stream = get_stream(PURPLE_MEDIA_BACKEND_FS2(self),
 			sess_id, participant);
 
@@ -2307,7 +2307,7 @@ purple_media_backend_fs2_set_encryption_
 	GError *err = NULL;
 	gboolean result;
 
-	g_return_val_if_fail(PURPLE_IS_MEDIA_BACKEND_FS2(self), FALSE);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_BACKEND_FS2(self), FALSE);
 
 	session = get_session(PURPLE_MEDIA_BACKEND_FS2(self), sess_id);
 	if (!session)
@@ -2340,7 +2340,7 @@ purple_media_backend_fs2_set_decryption_
 	GError *err = NULL;
 	gboolean result;
 
-	g_return_val_if_fail(PURPLE_IS_MEDIA_BACKEND_FS2(self), FALSE);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_BACKEND_FS2(self), FALSE);
 
 	stream = get_stream(PURPLE_MEDIA_BACKEND_FS2(self), sess_id,
 			participant);
@@ -2389,7 +2389,7 @@ purple_media_backend_fs2_set_send_codec(
 	FsCodec *fscodec;
 	GError *err = NULL;
 
-	g_return_val_if_fail(PURPLE_IS_MEDIA_BACKEND_FS2(self), FALSE);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_BACKEND_FS2(self), FALSE);
 
 	session = get_session(PURPLE_MEDIA_BACKEND_FS2(self), sess_id);
 
@@ -2446,7 +2446,7 @@ purple_media_backend_fs2_set_params(Purp
 	guint i;
 	GstStructure *sdes;
 
-	g_return_if_fail(PURPLE_IS_MEDIA_BACKEND_FS2(self));
+	g_return_if_fail(PURPLE_MEDIA_IS_BACKEND_FS2(self));
 
 	priv = purple_media_backend_fs2_get_instance_private(
 			PURPLE_MEDIA_BACKEND_FS2(self));
@@ -2490,7 +2490,7 @@ purple_media_backend_fs2_send_dtmf(Purpl
 	PurpleMediaBackendFs2Session *session;
 	FsDTMFEvent event;
 
-	g_return_val_if_fail(PURPLE_IS_MEDIA_BACKEND_FS2(self), FALSE);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_BACKEND_FS2(self), FALSE);
 
 	session = get_session(PURPLE_MEDIA_BACKEND_FS2(self), sess_id);
 	if (session == NULL)
@@ -2579,7 +2579,7 @@ purple_media_backend_fs2_set_input_volum
 	PurpleMediaBackendFs2Private *priv;
 	GList *sessions;
 
-	g_return_if_fail(PURPLE_IS_MEDIA_BACKEND_FS2(self));
+	g_return_if_fail(PURPLE_MEDIA_IS_BACKEND_FS2(self));
 
 	priv = purple_media_backend_fs2_get_instance_private(self);
 
@@ -2612,7 +2612,7 @@ purple_media_backend_fs2_set_output_volu
 #ifdef USE_VV
 	GList *streams;
 
-	g_return_if_fail(PURPLE_IS_MEDIA_BACKEND_FS2(self));
+	g_return_if_fail(PURPLE_MEDIA_IS_BACKEND_FS2(self));
 
 	purple_prefs_set_int("/purple/media/audio/volume/output", level);
 
@@ -2638,7 +2638,7 @@ purple_media_backend_fs2_set_send_rtcp_m
 {
 	PurpleMediaBackendFs2Stream *stream;
 
-	g_return_val_if_fail(PURPLE_IS_MEDIA_BACKEND_FS2(self), FALSE);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_BACKEND_FS2(self), FALSE);
 	stream = get_stream(PURPLE_MEDIA_BACKEND_FS2(self),
 			sess_id, participant);
 
diff --git a/libpurple/media/backend-iface.h b/libpurple/media/backend-iface.h
--- a/libpurple/media/backend-iface.h
+++ b/libpurple/media/backend-iface.h
@@ -40,10 +40,10 @@
 
 G_BEGIN_DECLS
 
-#define PURPLE_TYPE_MEDIA_BACKEND		(purple_media_backend_get_type())
-#define PURPLE_IS_MEDIA_BACKEND(obj)		(G_TYPE_CHECK_INSTANCE_TYPE((obj), PURPLE_TYPE_MEDIA_BACKEND))
-#define PURPLE_MEDIA_BACKEND(obj)		(G_TYPE_CHECK_INSTANCE_CAST((obj), PURPLE_TYPE_MEDIA_BACKEND, PurpleMediaBackend))
-#define PURPLE_MEDIA_BACKEND_GET_INTERFACE(inst)(G_TYPE_INSTANCE_GET_INTERFACE((inst), PURPLE_TYPE_MEDIA_BACKEND, PurpleMediaBackendInterface))
+#define PURPLE_MEDIA_TYPE_BACKEND		(purple_media_backend_get_type())
+#define PURPLE_MEDIA_IS_BACKEND(obj)		(G_TYPE_CHECK_INSTANCE_TYPE((obj), PURPLE_MEDIA_TYPE_BACKEND))
+#define PURPLE_MEDIA_BACKEND(obj)		(G_TYPE_CHECK_INSTANCE_CAST((obj), PURPLE_MEDIA_TYPE_BACKEND, PurpleMediaBackend))
+#define PURPLE_MEDIA_BACKEND_GET_INTERFACE(inst)(G_TYPE_INSTANCE_GET_INTERFACE((inst), PURPLE_MEDIA_TYPE_BACKEND, PurpleMediaBackendInterface))
 
 /**
  * PurpleMediaBackend:
diff --git a/libpurple/media/backend-iface.c b/libpurple/media/backend-iface.c
--- a/libpurple/media/backend-iface.c
+++ b/libpurple/media/backend-iface.c
@@ -83,14 +83,14 @@ purple_media_backend_base_init(gpointer 
 			G_TYPE_FROM_CLASS(iface),
 			G_SIGNAL_RUN_LAST, 0, NULL, NULL, NULL,
 			G_TYPE_NONE, 3, G_TYPE_POINTER,
-			G_TYPE_POINTER, PURPLE_TYPE_MEDIA_CANDIDATE);
+			G_TYPE_POINTER, PURPLE_MEDIA_TYPE_CANDIDATE);
 	purple_media_backend_signals[ACTIVE_CANDIDATE_PAIR] =
 			g_signal_new("active-candidate-pair",
 			G_TYPE_FROM_CLASS(iface),
 			G_SIGNAL_RUN_LAST, 0, NULL, NULL, NULL,
 			G_TYPE_NONE, 4, G_TYPE_STRING, G_TYPE_STRING,
-			PURPLE_TYPE_MEDIA_CANDIDATE,
-			PURPLE_TYPE_MEDIA_CANDIDATE);
+			PURPLE_MEDIA_TYPE_CANDIDATE,
+			PURPLE_MEDIA_TYPE_CANDIDATE);
 
 	is_initialized = TRUE;
 }
@@ -127,7 +127,7 @@ purple_media_backend_add_stream(PurpleMe
 		const gchar *transmitter,
 		guint num_params, GParameter *params)
 {
-	g_return_val_if_fail(PURPLE_IS_MEDIA_BACKEND(self), FALSE);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_BACKEND(self), FALSE);
 	return PURPLE_MEDIA_BACKEND_GET_INTERFACE(self)->add_stream(self,
 			sess_id, who, type, initiator, transmitter,
 			num_params, params);
@@ -138,7 +138,7 @@ purple_media_backend_add_remote_candidat
 		const gchar *sess_id, const gchar *participant,
 		GList *remote_candidates)
 {
-	g_return_if_fail(PURPLE_IS_MEDIA_BACKEND(self));
+	g_return_if_fail(PURPLE_MEDIA_IS_BACKEND(self));
 	PURPLE_MEDIA_BACKEND_GET_INTERFACE(self)->add_remote_candidates(self,
 			sess_id, participant, remote_candidates);
 }
@@ -147,7 +147,7 @@ gboolean
 purple_media_backend_codecs_ready(PurpleMediaBackend *self,
 		const gchar *sess_id)
 {
-	g_return_val_if_fail(PURPLE_IS_MEDIA_BACKEND(self), FALSE);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_BACKEND(self), FALSE);
 	return PURPLE_MEDIA_BACKEND_GET_INTERFACE(self)->codecs_ready(self,
 			sess_id);
 }
@@ -156,7 +156,7 @@ GList *
 purple_media_backend_get_codecs(PurpleMediaBackend *self,
 		const gchar *sess_id)
 {
-	g_return_val_if_fail(PURPLE_IS_MEDIA_BACKEND(self), NULL);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_BACKEND(self), NULL);
 	return PURPLE_MEDIA_BACKEND_GET_INTERFACE(self)->get_codecs(self,
 			sess_id);
 }
@@ -165,7 +165,7 @@ GList *
 purple_media_backend_get_local_candidates(PurpleMediaBackend *self,
 		const gchar *sess_id, const gchar *participant)
 {
-	g_return_val_if_fail(PURPLE_IS_MEDIA_BACKEND(self), NULL);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_BACKEND(self), NULL);
 	return PURPLE_MEDIA_BACKEND_GET_INTERFACE(self)->
 			get_local_candidates(self,
 			sess_id, participant);
@@ -176,7 +176,7 @@ purple_media_backend_set_remote_codecs(P
 		const gchar *sess_id, const gchar *participant,
 		GList *codecs)
 {
-	g_return_val_if_fail(PURPLE_IS_MEDIA_BACKEND(self), FALSE);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_BACKEND(self), FALSE);
 	return PURPLE_MEDIA_BACKEND_GET_INTERFACE(self)->set_remote_codecs(
 			self, sess_id, participant, codecs);
 }
@@ -185,7 +185,7 @@ gboolean
 purple_media_backend_set_send_codec(PurpleMediaBackend *self,
 		const gchar *sess_id, PurpleMediaCodec *codec)
 {
-	g_return_val_if_fail(PURPLE_IS_MEDIA_BACKEND(self), FALSE);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_BACKEND(self), FALSE);
 	return PURPLE_MEDIA_BACKEND_GET_INTERFACE(self)->set_send_codec(self,
 			sess_id, codec);
 }
@@ -197,7 +197,7 @@ purple_media_backend_set_encryption_para
 {
 	PurpleMediaBackendInterface *backend_iface;
 
-	g_return_val_if_fail(PURPLE_IS_MEDIA_BACKEND(self), FALSE);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_BACKEND(self), FALSE);
 	backend_iface = PURPLE_MEDIA_BACKEND_GET_INTERFACE(self);
 	g_return_val_if_fail(backend_iface->set_encryption_parameters, FALSE);
 	return backend_iface->set_encryption_parameters(self,
@@ -212,7 +212,7 @@ purple_media_backend_set_decryption_para
 {
 	PurpleMediaBackendInterface *backend_iface;
 
-	g_return_val_if_fail(PURPLE_IS_MEDIA_BACKEND(self), FALSE);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_BACKEND(self), FALSE);
 	backend_iface = PURPLE_MEDIA_BACKEND_GET_INTERFACE(self);
 	g_return_val_if_fail(backend_iface->set_decryption_parameters, FALSE);
 	return backend_iface->set_decryption_parameters(self,
@@ -226,7 +226,7 @@ purple_media_backend_set_require_encrypt
 {
 	PurpleMediaBackendInterface *backend_iface;
 
-	g_return_val_if_fail(PURPLE_IS_MEDIA_BACKEND(self), FALSE);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_BACKEND(self), FALSE);
 	backend_iface = PURPLE_MEDIA_BACKEND_GET_INTERFACE(self);
 
 	if (!backend_iface->set_require_encryption) {
@@ -241,7 +241,7 @@ void
 purple_media_backend_set_params(PurpleMediaBackend *self,
 		guint num_params, GParameter *params)
 {
-	g_return_if_fail(PURPLE_IS_MEDIA_BACKEND(self));
+	g_return_if_fail(PURPLE_MEDIA_IS_BACKEND(self));
 	PURPLE_MEDIA_BACKEND_GET_INTERFACE(self)->set_params(self, num_params, params);
 }
 
@@ -250,7 +250,7 @@ purple_media_backend_get_available_param
 {
 	static const gchar *NULL_ARRAY[] = { NULL };
 
-	g_return_val_if_fail(PURPLE_IS_MEDIA_BACKEND(self), NULL_ARRAY);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_BACKEND(self), NULL_ARRAY);
 	return PURPLE_MEDIA_BACKEND_GET_INTERFACE(self)->get_available_params();
 }
 
@@ -260,7 +260,7 @@ purple_media_backend_set_send_rtcp_mux(P
 {
 	PurpleMediaBackendInterface *backend_iface;
 
-	g_return_val_if_fail(PURPLE_IS_MEDIA_BACKEND(self), FALSE);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_BACKEND(self), FALSE);
 	backend_iface = PURPLE_MEDIA_BACKEND_GET_INTERFACE(self);
 	g_return_val_if_fail(backend_iface->set_send_rtcp_mux, FALSE);
 	return backend_iface->set_send_rtcp_mux(self,
diff --git a/libpurple/media/candidate.h b/libpurple/media/candidate.h
--- a/libpurple/media/candidate.h
+++ b/libpurple/media/candidate.h
@@ -39,11 +39,11 @@
 G_BEGIN_DECLS
 
 /**
- * PURPLE_TYPE_MEDIA_CANDIDATE:
+ * PURPLE_MEDIA_TYPE_CANDIDATE:
  *
  * The standard _get_type macro for #PurpleMediaCandidate.
  */
-#define PURPLE_TYPE_MEDIA_CANDIDATE  purple_media_candidate_get_type()
+#define PURPLE_MEDIA_TYPE_CANDIDATE  purple_media_candidate_get_type()
 
 /**
  * purple_media_candidate_get_type:
@@ -52,8 +52,8 @@ G_BEGIN_DECLS
  *
  * Returns: The media canditate's GType
  */
-G_DECLARE_FINAL_TYPE(PurpleMediaCandidate, purple_media_candidate, PURPLE,
-		MEDIA_CANDIDATE, GObject)
+G_DECLARE_FINAL_TYPE(PurpleMediaCandidate, purple_media_candidate,
+                     PURPLE_MEDIA, CANDIDATE, GObject)
 
 /**
  * purple_media_candidate_new:
diff --git a/libpurple/media/candidate.c b/libpurple/media/candidate.c
--- a/libpurple/media/candidate.c
+++ b/libpurple/media/candidate.c
@@ -106,7 +106,6 @@ purple_media_candidate_set_property (GOb
 		const GValue *value, GParamSpec *pspec)
 {
 	PurpleMediaCandidatePrivate *priv;
-	g_return_if_fail(PURPLE_IS_MEDIA_CANDIDATE(object));
 
 	priv = purple_media_candidate_get_instance_private(
 			PURPLE_MEDIA_CANDIDATE(object));
@@ -165,7 +164,6 @@ purple_media_candidate_get_property (GOb
 		GValue *value, GParamSpec *pspec)
 {
 	PurpleMediaCandidatePrivate *priv;
-	g_return_if_fail(PURPLE_IS_MEDIA_CANDIDATE(object));
 
 	priv = purple_media_candidate_get_instance_private(
 			PURPLE_MEDIA_CANDIDATE(object));
@@ -269,7 +267,7 @@ purple_media_candidate_class_init(Purple
 			g_param_spec_enum("protocol",
 			"Protocol",
 			"The protocol of the candidate.",
-			PURPLE_TYPE_MEDIA_NETWORK_PROTOCOL,
+			PURPLE_MEDIA_TYPE_NETWORK_PROTOCOL,
 			PURPLE_MEDIA_NETWORK_PROTOCOL_UDP,
 			G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS));
 
@@ -284,7 +282,7 @@ purple_media_candidate_class_init(Purple
 			g_param_spec_enum("type",
 			"Type",
 			"The type of the candidate.",
-			PURPLE_TYPE_MEDIA_CANDIDATE_TYPE,
+			PURPLE_MEDIA_TYPE_CANDIDATE_TYPE,
 			PURPLE_MEDIA_CANDIDATE_TYPE_HOST,
 			G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS));
 
@@ -316,7 +314,7 @@ purple_media_candidate_new(const gchar *
 		PurpleMediaNetworkProtocol proto,
 		const gchar *ip, guint port)
 {
-	return g_object_new(PURPLE_TYPE_MEDIA_CANDIDATE,
+	return g_object_new(PURPLE_MEDIA_TYPE_CANDIDATE,
 			"foundation", foundation,
 			"component-id", component_id,
 			"type", type,
@@ -365,7 +363,7 @@ gchar *
 purple_media_candidate_get_foundation(PurpleMediaCandidate *candidate)
 {
 	gchar *foundation;
-	g_return_val_if_fail(PURPLE_IS_MEDIA_CANDIDATE(candidate), NULL);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_CANDIDATE(candidate), NULL);
 	g_object_get(candidate, "foundation", &foundation, NULL);
 	return foundation;
 }
@@ -374,7 +372,7 @@ guint
 purple_media_candidate_get_component_id(PurpleMediaCandidate *candidate)
 {
 	guint component_id;
-	g_return_val_if_fail(PURPLE_IS_MEDIA_CANDIDATE(candidate), 0);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_CANDIDATE(candidate), 0);
 	g_object_get(candidate, "component-id", &component_id, NULL);
 	return component_id;
 }
@@ -383,7 +381,7 @@ gchar *
 purple_media_candidate_get_ip(PurpleMediaCandidate *candidate)
 {
 	gchar *ip;
-	g_return_val_if_fail(PURPLE_IS_MEDIA_CANDIDATE(candidate), NULL);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_CANDIDATE(candidate), NULL);
 	g_object_get(candidate, "ip", &ip, NULL);
 	return ip;
 }
@@ -392,7 +390,7 @@ guint16
 purple_media_candidate_get_port(PurpleMediaCandidate *candidate)
 {
 	guint port;
-	g_return_val_if_fail(PURPLE_IS_MEDIA_CANDIDATE(candidate), 0);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_CANDIDATE(candidate), 0);
 	g_object_get(candidate, "port", &port, NULL);
 	return port;
 }
@@ -401,7 +399,7 @@ gchar *
 purple_media_candidate_get_base_ip(PurpleMediaCandidate *candidate)
 {
 	gchar *base_ip;
-	g_return_val_if_fail(PURPLE_IS_MEDIA_CANDIDATE(candidate), NULL);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_CANDIDATE(candidate), NULL);
 	g_object_get(candidate, "base-ip", &base_ip, NULL);
 	return base_ip;
 }
@@ -410,7 +408,7 @@ guint16
 purple_media_candidate_get_base_port(PurpleMediaCandidate *candidate)
 {
 	guint base_port;
-	g_return_val_if_fail(PURPLE_IS_MEDIA_CANDIDATE(candidate), 0);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_CANDIDATE(candidate), 0);
 	g_object_get(candidate, "base_port", &base_port, NULL);
 	return base_port;
 }
@@ -419,7 +417,7 @@ PurpleMediaNetworkProtocol
 purple_media_candidate_get_protocol(PurpleMediaCandidate *candidate)
 {
 	PurpleMediaNetworkProtocol protocol;
-	g_return_val_if_fail(PURPLE_IS_MEDIA_CANDIDATE(candidate),
+	g_return_val_if_fail(PURPLE_MEDIA_IS_CANDIDATE(candidate),
 			PURPLE_MEDIA_NETWORK_PROTOCOL_UDP);
 	g_object_get(candidate, "protocol", &protocol, NULL);
 	return protocol;
@@ -429,7 +427,7 @@ guint32
 purple_media_candidate_get_priority(PurpleMediaCandidate *candidate)
 {
 	guint priority;
-	g_return_val_if_fail(PURPLE_IS_MEDIA_CANDIDATE(candidate), 0);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_CANDIDATE(candidate), 0);
 	g_object_get(candidate, "priority", &priority, NULL);
 	return priority;
 }
@@ -438,7 +436,7 @@ PurpleMediaCandidateType
 purple_media_candidate_get_candidate_type(PurpleMediaCandidate *candidate)
 {
 	PurpleMediaCandidateType type;
-	g_return_val_if_fail(PURPLE_IS_MEDIA_CANDIDATE(candidate),
+	g_return_val_if_fail(PURPLE_MEDIA_IS_CANDIDATE(candidate),
 			PURPLE_MEDIA_CANDIDATE_TYPE_HOST);
 	g_object_get(candidate, "type", &type, NULL);
 	return type;
@@ -448,7 +446,7 @@ gchar *
 purple_media_candidate_get_username(PurpleMediaCandidate *candidate)
 {
 	gchar *username;
-	g_return_val_if_fail(PURPLE_IS_MEDIA_CANDIDATE(candidate), NULL);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_CANDIDATE(candidate), NULL);
 	g_object_get(candidate, "username", &username, NULL);
 	return username;
 }
@@ -457,7 +455,7 @@ gchar *
 purple_media_candidate_get_password(PurpleMediaCandidate *candidate)
 {
 	gchar *password;
-	g_return_val_if_fail(PURPLE_IS_MEDIA_CANDIDATE(candidate), NULL);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_CANDIDATE(candidate), NULL);
 	g_object_get(candidate, "password", &password, NULL);
 	return password;
 }
@@ -466,7 +464,7 @@ guint
 purple_media_candidate_get_ttl(PurpleMediaCandidate *candidate)
 {
 	guint ttl;
-	g_return_val_if_fail(PURPLE_IS_MEDIA_CANDIDATE(candidate), 0);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_CANDIDATE(candidate), 0);
 	g_object_get(candidate, "ttl", &ttl, NULL);
 	return ttl;
 }
diff --git a/libpurple/media/codec.h b/libpurple/media/codec.h
--- a/libpurple/media/codec.h
+++ b/libpurple/media/codec.h
@@ -49,11 +49,11 @@ typedef struct _PurpleMediaCodec PurpleM
 G_BEGIN_DECLS
 
 /**
- * PURPLE_TYPE_MEDIA_CODEC:
+ * PURPLE_MEDIA_TYPE_CODEC:
  *
  * The standard _get_type macro for #PurpleMediaCodec.
  */
-#define PURPLE_TYPE_MEDIA_CODEC purple_media_codec_get_type()
+#define PURPLE_MEDIA_TYPE_CODEC purple_media_codec_get_type()
 
 /**
  * purple_media_codec_get_type:
@@ -62,8 +62,8 @@ G_BEGIN_DECLS
  *
  * Returns: The media codec's GType
  */
-G_DECLARE_FINAL_TYPE(PurpleMediaCodec, purple_media_codec, PURPLE,
-		MEDIA_CODEC, GObject)
+G_DECLARE_FINAL_TYPE(PurpleMediaCodec, purple_media_codec, PURPLE_MEDIA,
+                     CODEC, GObject)
 
 /**
  * purple_media_codec_new:
diff --git a/libpurple/media/codec.c b/libpurple/media/codec.c
--- a/libpurple/media/codec.c
+++ b/libpurple/media/codec.c
@@ -78,7 +78,7 @@ purple_media_codec_set_property (GObject
 		const GValue *value, GParamSpec *pspec)
 {
 	PurpleMediaCodecPrivate *priv;
-	g_return_if_fail(PURPLE_IS_MEDIA_CODEC(object));
+	g_return_if_fail(PURPLE_MEDIA_IS_CODEC(object));
 
 	priv = purple_media_codec_get_instance_private(
 			PURPLE_MEDIA_CODEC(object));
@@ -115,7 +115,7 @@ purple_media_codec_get_property (GObject
 		GValue *value, GParamSpec *pspec)
 {
 	PurpleMediaCodecPrivate *priv;
-	g_return_if_fail(PURPLE_IS_MEDIA_CODEC(object));
+	g_return_if_fail(PURPLE_MEDIA_IS_CODEC(object));
 
 	priv = purple_media_codec_get_instance_private(
 			PURPLE_MEDIA_CODEC(object));
@@ -172,7 +172,7 @@ purple_media_codec_class_init(PurpleMedi
 	properties[PROP_MEDIA_TYPE] = g_param_spec_flags("media-type",
 			"Media Type",
 			"Whether this is an audio, video or application codec.",
-			PURPLE_TYPE_MEDIA_SESSION_TYPE,
+			PURPLE_MEDIA_TYPE_SESSION_TYPE,
 			PURPLE_MEDIA_NONE,
 			G_PARAM_CONSTRUCT_ONLY | G_PARAM_READWRITE |
 			G_PARAM_STATIC_STRINGS);
@@ -202,7 +202,7 @@ purple_media_codec_new(int id, const cha
 		PurpleMediaSessionType media_type, guint clock_rate)
 {
 	PurpleMediaCodec *codec =
-			g_object_new(PURPLE_TYPE_MEDIA_CODEC,
+			g_object_new(PURPLE_MEDIA_TYPE_CODEC,
 			"id", id,
 			"encoding_name", encoding_name,
 			"media_type", media_type,
@@ -214,7 +214,7 @@ guint
 purple_media_codec_get_id(PurpleMediaCodec *codec)
 {
 	guint id;
-	g_return_val_if_fail(PURPLE_IS_MEDIA_CODEC(codec), 0);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_CODEC(codec), 0);
 	g_object_get(codec, "id", &id, NULL);
 	return id;
 }
@@ -223,7 +223,7 @@ gchar *
 purple_media_codec_get_encoding_name(PurpleMediaCodec *codec)
 {
 	gchar *name;
-	g_return_val_if_fail(PURPLE_IS_MEDIA_CODEC(codec), NULL);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_CODEC(codec), NULL);
 	g_object_get(codec, "encoding-name", &name, NULL);
 	return name;
 }
@@ -232,7 +232,7 @@ guint
 purple_media_codec_get_clock_rate(PurpleMediaCodec *codec)
 {
 	guint clock_rate;
-	g_return_val_if_fail(PURPLE_IS_MEDIA_CODEC(codec), 0);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_CODEC(codec), 0);
 	g_object_get(codec, "clock-rate", &clock_rate, NULL);
 	return clock_rate;
 }
@@ -241,7 +241,7 @@ guint
 purple_media_codec_get_channels(PurpleMediaCodec *codec)
 {
 	guint channels;
-	g_return_val_if_fail(PURPLE_IS_MEDIA_CODEC(codec), 0);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_CODEC(codec), 0);
 	g_object_get(codec, "channels", &channels, NULL);
 	return channels;
 }
@@ -250,7 +250,7 @@ GList *
 purple_media_codec_get_optional_parameters(PurpleMediaCodec *codec)
 {
 	GList *optional_params;
-	g_return_val_if_fail(PURPLE_IS_MEDIA_CODEC(codec), NULL);
+	g_return_val_if_fail(PURPLE_MEDIA_IS_CODEC(codec), NULL);
 	g_object_get(codec, "optional-params", &optional_params, NULL);
 	return optional_params;
 }
diff --git a/libpurple/media/enum-types.h b/libpurple/media/enum-types.h
--- a/libpurple/media/enum-types.h
+++ b/libpurple/media/enum-types.h
@@ -37,11 +37,11 @@
 G_BEGIN_DECLS
 
 /**
- * PURPLE_TYPE_MEDIA_CANDIDATE_TYPE:
+ * PURPLE_MEDIA_TYPE_CANDIDATE_TYPE:
  *
  * The standard _get_type macro for #PurpleMediaCandidateType.
  */
-#define PURPLE_TYPE_MEDIA_CANDIDATE_TYPE (purple_media_candidate_type_get_type())
+#define PURPLE_MEDIA_TYPE_CANDIDATE_TYPE (purple_media_candidate_type_get_type())
 
 /**
  * PURPLE_MEDIA_TYPE_CAPS:
@@ -58,18 +58,18 @@ G_BEGIN_DECLS
 #define PURPLE_MEDIA_TYPE_INFO_TYPE (purple_media_info_type_get_type())
 
 /**
- * PURPLE_TYPE_MEDIA_NETWORK_PROTOCOL:
+ * PURPLE_MEDIA_TYPE_NETWORK_PROTOCOL:
  *
  * The standard _get_type macro for #PurpleMediaNetworkProtocol.
  */
-#define PURPLE_TYPE_MEDIA_NETWORK_PROTOCOL (purple_media_network_protocol_get_type())
+#define PURPLE_MEDIA_TYPE_NETWORK_PROTOCOL (purple_media_network_protocol_get_type())
 
 /**
- * PURPLE_TYPE_MEDIA_SESSION_TYPE:
+ * PURPLE_MEDIA_TYPE_SESSION_TYPE:
  *
  * The standard _get_type macro for #PurpleMediaSessionType.
  */
-#define PURPLE_TYPE_MEDIA_SESSION_TYPE (purple_media_session_type_get_type())
+#define PURPLE_MEDIA_TYPE_SESSION_TYPE (purple_media_session_type_get_type())
 
 /**
  * PURPLE_MEDIA_TYPE_STATE:
diff --git a/libpurple/mediamanager.c b/libpurple/mediamanager.c
--- a/libpurple/mediamanager.c
+++ b/libpurple/mediamanager.c
@@ -193,7 +193,7 @@ purple_media_manager_init (PurpleMediaMa
 	media->priv->medias = NULL;
 	media->priv->private_medias = NULL;
 	media->priv->next_output_window_id = 1;
-	media->priv->backend_type = PURPLE_TYPE_MEDIA_BACKEND_FS2;
+	media->priv->backend_type = PURPLE_MEDIA_TYPE_BACKEND_FS2;
 #ifdef HAVE_MEDIA_APPLICATION
 	media->priv->appdata_info = NULL;
 	g_mutex_init (&media->priv->appdata_mutex);
